| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ReaderDataLifecycleQosPolicy Class Reference

Specifies the behavior of the DataReader with regards to the lifecycle of the data-instances it manages. More...

`#include <ReaderDataLifecycleQosPolicy.hpp>`

## Public Member Functions

| ReaderDataLifecycleQosPolicy ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~ReaderDataLifecycleQosPolicy ()
| Destructor.
bool | operator== (const ReaderDataLifecycleQosPolicy &b) const
void | clear ()

## Public Attributes

dds::Duration_t | autopurge_no_writer_samples_delay
| Indicates the duration the DataReader must retain information regarding instances that have the instance_state NOT_ALIVE_NO_WRITERS.
dds::Duration_t | autopurge_disposed_samples_delay
| Indicates the duration the DataReader must retain information regarding instances that have the instance_state NOT_ALIVE_DISPOSED.

## Detailed Description

Specifies the behavior of the DataReader with regards to the lifecycle of the data-instances it manages.

Warning
  This Qos Policy will be implemented in future releases.

Note
  Mutable Qos Policy

## Constructor & Destructor Documentation

## ◆ ReaderDataLifecycleQosPolicy()

ReaderDataLifecycleQosPolicy | ( |  | ) |

inline

Constructor.

## ◆ ~ReaderDataLifecycleQosPolicy()

virtual FASTDDS_EXPORTED_API ~ReaderDataLifecycleQosPolicy | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline

## ◆ operator==()

bool operator== | ( | const ReaderDataLifecycleQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ autopurge_disposed_samples_delay

dds::Duration_t autopurge_disposed_samples_delay

Indicates the duration the DataReader must retain information regarding instances that have the instance_state NOT_ALIVE_DISPOSED.

By default, dds::c_TimeInfinite.

## ◆ autopurge_no_writer_samples_delay

dds::Duration_t autopurge_no_writer_samples_delay

Indicates the duration the DataReader must retain information regarding instances that have the instance_state NOT_ALIVE_NO_WRITERS.

By default, dds::c_TimeInfinite.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/ReaderDataLifecycleQosPolicy.hpp